/*
 *========================================================================
 * $Id: xmlsysd.c 80 2002-04-03 19:04:06Z rgb $
 *
 * See copyright in copyright.h and the accompanying file COPYING
 *========================================================================
 */


#include "xmlsysd.h"

int main(int argc, char **argv)
{

 /* This has to come before all verbose-wrapped statements, right? */
 parsecl(argc,argv);

 if((verbose == D_ALL) || (verbose == D_MAIN)){
   printf("D_MAIN: Starting D_MAIN.  Use -v %d to focus.\n",D_MAIN);
 }

 /* Do startup stuff */
 xmlsysd_startup();

 /* Start up the daemon according to command line arguments */
 xmlsysd_daemon();

 /*
  * Finally, this loops until a quit command is received.  It does
  * basically all the work.
  */
 xmlsysd_work_loop();

}  /* End of xmlsysd main */

